/**
 * CSwitchRadio
 * @author Tevin
 */

<template>
    <view
        class="c-switch c-switch-radio"
        :class="className"
    >
        <AtSwitch :title="itemRes.label" />
        <view class="c-switch-radio-group">
            <view
                class="c-switch-radio-item"
                @tap="evt => handleChange(true)"
            >
                <text
                    class="c-switch-radio-icon"
                    :class="current === true ? 'checked' : ''"
                >
                    <AtIcon value="check" />
                </text>
                <text>{{checkedLabel}}</text>
            </view>
            <view
                class="c-switch-radio-item"
                @tap="evt => handleChange(false)"
            >
                <text
                    class="c-switch-radio-icon"
                    :class="current === false ? 'checked' : ''"
                >
                    <AtIcon value="check" />
                </text>
                <text>{{uncheckedLabel}}</text>
            </view>
        </view>
    </view>
</template>

<script>
import { AtSwitch, AtIcon } from 'taro-ui-vue';
import './cSwitch.scss';

export default {
    name: 'CSwitchRadio',
    components: {
        AtSwitch,
        AtIcon,
    },
    props: {
        // 表单数据资源（表单组件内部机制专用）
        itemRes: Object,
        checkedLabel: {
            type: String,
            default: '是',
        },
        uncheckedLabel: {
            type: String,
            default: '否',
        },
    },
    data() {
        return {};
    },
    computed: {
        className() {
            let className = '';
            if (this.itemRes.required) {
                className += 'c-switch-required ';
            }
            if (this.itemRes.error) {
                className += 'c-switch-error ';
            }
            return className;
        },
        current() {
            return this.itemRes.formData[this.itemRes.name];
        },
    },
    methods: {
        handleChange(value) {
            this.itemRes.onChange(value);
        },
    },
};
</script>